[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.GetAutoLineReduction

Indicates whether automatic line reduction is enabled for the menu item.

## Declaration

Source position: menus.pp line 229

`protected function TMenuItem.GetAutoLineReduction: Boolean;`

## Function result

Returns True when AutoLineReduction is resolved to maParent or maAutomatic.

## Description

GetAutoLineReduction ensures that the setting in the AutoLineReduction property is translated to either maAutomatic or maManual when it contains maParent.

## Version info

Added in LCL version 4.0.

## See also

TMenuItem.AutoLineReduction |  | Indicates the method used to perform line reduction for the menu item and optionally for its child Items.
TMenuItem.InternalRethinkLines |  | Indicates whether child menu Items need to be updated to hide leading, trailing, or adjacent separators.